function F = getF()
% Calculates the sensitivity matrix F = dy/dd

u0 = SS_init_u;
x0 = SS_init_x;
p  = SS_init_params();

ds = {'TP1I','TP2I','TP3I','FCP1','FCP2'};
%ds = {'TP1I'};
F  = [];
yo = SS_opt(u0,x0,p);

delta  = 0.001;
for d  = ds
    f  = getfield(p,d{1});
    pf = p; pf = setfield(pf,d{1},(f+f*delta));
    yf = SS_opt(u0,x0,pf);
    pb = p; pb = setfield(pb,d{1},(f-f*delta));
    yb = SS_opt(u0,x0,pb);
    F  = [F ((yf-yb)/(2*f*delta))];
end
   
end